---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::Panel Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Panel.html">Panel</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classtgui_1_1Panel-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::Panel Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classtgui_1_1Panel.html" title="Panel widget. ">Panel</a> widget.  
 <a href="classtgui_1_1Panel.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Panel_8hpp_source.html">Panel.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for tgui::Panel:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1Panel.png" usemap="#tgui::Panel_map" alt=""/>
  <map id="tgui::Panel_map" name="tgui::Panel_map">
<area href="classtgui_1_1Container.html" title="Container widget. " alt="tgui::Container" shape="rect" coords="372,112,610,136"/>
<area href="classtgui_1_1Widget.html" title="The parent class for every widget. " alt="tgui::Widget" shape="rect" coords="372,56,610,80"/>
<area href="classtgui_1_1Transformable.html" alt="tgui::Transformable" shape="rect" coords="248,0,486,24"/>
<area href="classtgui_1_1SignalWidgetBase.html" title="Base class for widgets to enable signal handling. " alt="tgui::SignalWidgetBase" shape="rect" coords="496,0,734,24"/>
<area href="classtgui_1_1BoxLayout.html" title="Abstract class for box layout containers. " alt="tgui::BoxLayout" shape="rect" coords="372,224,610,248"/>
<area href="classtgui_1_1HorizontalLayout.html" title="Container that automatically resizes children to fit the entire available space between children..." alt="tgui::HorizontalLayout" shape="rect" coords="248,280,486,304"/>
<area href="classtgui_1_1VerticalLayout.html" title="Container that automatically resizes children to fit the entire available space between children..." alt="tgui::VerticalLayout" shape="rect" coords="496,280,734,304"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a34b136a7d90420e28a8f4aa66a58f9d0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a34b136a7d90420e28a8f4aa66a58f9d0"></a>
typedef std::shared_ptr&lt; <a class="el" href="classtgui_1_1Panel.html">Panel</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Panel.html#a34b136a7d90420e28a8f4aa66a58f9d0">Ptr</a></td></tr>
<tr class="memdesc:a34b136a7d90420e28a8f4aa66a58f9d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared widget pointer. <br /></td></tr>
<tr class="separator:a34b136a7d90420e28a8f4aa66a58f9d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef7fc1702180fe4dde12459be15c064d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aef7fc1702180fe4dde12459be15c064d"></a>
typedef std::shared_ptr&lt; const <a class="el" href="classtgui_1_1Panel.html">Panel</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Panel.html#aef7fc1702180fe4dde12459be15c064d">ConstPtr</a></td></tr>
<tr class="memdesc:aef7fc1702180fe4dde12459be15c064d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared constant widget pointer. <br /></td></tr>
<tr class="separator:aef7fc1702180fe4dde12459be15c064d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classtgui_1_1Container"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classtgui_1_1Container')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td></tr>
<tr class="memitem:a3ba93c97385be1c09c518b22951a3208 inherit pub_types_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ba93c97385be1c09c518b22951a3208"></a>
typedef std::shared_ptr&lt; <a class="el" href="classtgui_1_1Container.html">Container</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#a3ba93c97385be1c09c518b22951a3208">Ptr</a></td></tr>
<tr class="memdesc:a3ba93c97385be1c09c518b22951a3208 inherit pub_types_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared widget pointer. <br /></td></tr>
<tr class="separator:a3ba93c97385be1c09c518b22951a3208 inherit pub_types_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae65ad0ac55fcbe3416745dab9b2a2fe5 inherit pub_types_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae65ad0ac55fcbe3416745dab9b2a2fe5"></a>
typedef std::shared_ptr&lt; const <a class="el" href="classtgui_1_1Container.html">Container</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#ae65ad0ac55fcbe3416745dab9b2a2fe5">ConstPtr</a></td></tr>
<tr class="memdesc:ae65ad0ac55fcbe3416745dab9b2a2fe5 inherit pub_types_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared constant widget pointer. <br /></td></tr>
<tr class="separator:ae65ad0ac55fcbe3416745dab9b2a2fe5 inherit pub_types_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classtgui_1_1Widget"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classtgui_1_1Widget')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td></tr>
<tr class="memitem:a388912f13898735531886bc676b14f81 inherit pub_types_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a388912f13898735531886bc676b14f81"></a>
typedef std::shared_ptr&lt; <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Ptr</a></td></tr>
<tr class="memdesc:a388912f13898735531886bc676b14f81 inherit pub_types_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared widget pointer. <br /></td></tr>
<tr class="separator:a388912f13898735531886bc676b14f81 inherit pub_types_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaa9564fad89042e53af59e7a0063b1f inherit pub_types_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeaa9564fad89042e53af59e7a0063b1f"></a>
typedef std::shared_ptr&lt; const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aeaa9564fad89042e53af59e7a0063b1f">ConstPtr</a></td></tr>
<tr class="memdesc:aeaa9564fad89042e53af59e7a0063b1f inherit pub_types_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared constant widget pointer. <br /></td></tr>
<tr class="separator:aeaa9564fad89042e53af59e7a0063b1f inherit pub_types_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa3b8827d4440f2d79207de7baa221b9d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Panel.html#aa3b8827d4440f2d79207de7baa221b9d">Panel</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;size={100, 100})</td></tr>
<tr class="memdesc:aa3b8827d4440f2d79207de7baa221b9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor.  <a href="#aa3b8827d4440f2d79207de7baa221b9d">More...</a><br /></td></tr>
<tr class="separator:aa3b8827d4440f2d79207de7baa221b9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a7fdea24933019fe0fa806fa3984fcb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Panel.html#a1a7fdea24933019fe0fa806fa3984fcb">Panel</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;width, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;height)</td></tr>
<tr class="memdesc:a1a7fdea24933019fe0fa806fa3984fcb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a1a7fdea24933019fe0fa806fa3984fcb">More...</a><br /></td></tr>
<tr class="separator:a1a7fdea24933019fe0fa806fa3984fcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac86630f3ec806dc16c4cd4a3220c770e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1PanelRenderer.html">PanelRenderer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Panel.html#ac86630f3ec806dc16c4cd4a3220c770e">getRenderer</a> () const </td></tr>
<tr class="memdesc:ac86630f3ec806dc16c4cd4a3220c770e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the renderer, which gives access to functions that determine how the widget is displayed.  <a href="#ac86630f3ec806dc16c4cd4a3220c770e">More...</a><br /></td></tr>
<tr class="separator:ac86630f3ec806dc16c4cd4a3220c770e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe2a23ae392add7adbbd064ec3d8998a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Panel.html#afe2a23ae392add7adbbd064ec3d8998a">setBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;backgroundColor)</td></tr>
<tr class="memdesc:afe2a23ae392add7adbbd064ec3d8998a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background color of the panel.  <a href="#afe2a23ae392add7adbbd064ec3d8998a">More...</a><br /></td></tr>
<tr class="separator:afe2a23ae392add7adbbd064ec3d8998a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30244052ab9219369e3e4ba493f8cc8a"><td class="memItemLeft" align="right" valign="top">const sf::Color &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Panel.html#a30244052ab9219369e3e4ba493f8cc8a">getBackgroundColor</a> () const </td></tr>
<tr class="memdesc:a30244052ab9219369e3e4ba493f8cc8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the background color of the panel.  <a href="#a30244052ab9219369e3e4ba493f8cc8a">More...</a><br /></td></tr>
<tr class="separator:a30244052ab9219369e3e4ba493f8cc8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1Container"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1Container')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td></tr>
<tr class="memitem:a0939764cbdc168b0cd477f39d55ffdb7 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#a0939764cbdc168b0cd477f39d55ffdb7">Container</a> (const <a class="el" href="classtgui_1_1Container.html">Container</a> &amp;copy)</td></tr>
<tr class="memdesc:a0939764cbdc168b0cd477f39d55ffdb7 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#a0939764cbdc168b0cd477f39d55ffdb7">More...</a><br /></td></tr>
<tr class="separator:a0939764cbdc168b0cd477f39d55ffdb7 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a094e1f85625b28a1fc271512fbebd6be inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Container.html">Container</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#a094e1f85625b28a1fc271512fbebd6be">operator=</a> (const <a class="el" href="classtgui_1_1Container.html">Container</a> &amp;right)</td></tr>
<tr class="memdesc:a094e1f85625b28a1fc271512fbebd6be inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overload of assignment operator.  <a href="#a094e1f85625b28a1fc271512fbebd6be">More...</a><br /></td></tr>
<tr class="separator:a094e1f85625b28a1fc271512fbebd6be inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d4a9e6fca69f51ba11c12d6512768c0 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#a7d4a9e6fca69f51ba11c12d6512768c0">setFont</a> (const <a class="el" href="classtgui_1_1Font.html">Font</a> &amp;font) override</td></tr>
<tr class="memdesc:a7d4a9e6fca69f51ba11c12d6512768c0 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the font of the text in the widget and its children.  <a href="#a7d4a9e6fca69f51ba11c12d6512768c0">More...</a><br /></td></tr>
<tr class="separator:a7d4a9e6fca69f51ba11c12d6512768c0 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fa7f1a5d1d0cc97e0fb31df5f4835ae inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">const std::vector&lt; <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#a1fa7f1a5d1d0cc97e0fb31df5f4835ae">getWidgets</a> ()</td></tr>
<tr class="memdesc:a1fa7f1a5d1d0cc97e0fb31df5f4835ae inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a list of all the widgets.  <a href="#a1fa7f1a5d1d0cc97e0fb31df5f4835ae">More...</a><br /></td></tr>
<tr class="separator:a1fa7f1a5d1d0cc97e0fb31df5f4835ae inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a855d6355065a26ecd1f1c38c8450dcf5 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">const std::vector&lt; sf::String &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#a855d6355065a26ecd1f1c38c8450dcf5">getWidgetNames</a> ()</td></tr>
<tr class="memdesc:a855d6355065a26ecd1f1c38c8450dcf5 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a list of the names of all the widgets.  <a href="#a855d6355065a26ecd1f1c38c8450dcf5">More...</a><br /></td></tr>
<tr class="separator:a855d6355065a26ecd1f1c38c8450dcf5 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6f2df81711d1576a18c674fadc4d3d2 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#aa6f2df81711d1576a18c674fadc4d3d2">add</a> (const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;widgetPtr, const sf::String &amp;widgetName=&quot;&quot;)</td></tr>
<tr class="memdesc:aa6f2df81711d1576a18c674fadc4d3d2 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a widget to the container.  <a href="#aa6f2df81711d1576a18c674fadc4d3d2">More...</a><br /></td></tr>
<tr class="separator:aa6f2df81711d1576a18c674fadc4d3d2 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add49acaa17b77237c837f90a20c2f589 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#add49acaa17b77237c837f90a20c2f589">get</a> (const sf::String &amp;widgetName, bool recursive=false) const </td></tr>
<tr class="memdesc:add49acaa17b77237c837f90a20c2f589 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to an earlier created widget.  <a href="#add49acaa17b77237c837f90a20c2f589">More...</a><br /></td></tr>
<tr class="separator:add49acaa17b77237c837f90a20c2f589 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac065b68ee708d09c086662305da23b68 inherit pub_methods_classtgui_1_1Container"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:ac065b68ee708d09c086662305da23b68 inherit pub_methods_classtgui_1_1Container"><td class="memTemplItemLeft" align="right" valign="top">T::Ptr&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#ac065b68ee708d09c086662305da23b68">get</a> (const sf::String &amp;widgetName, bool recursive=false) const </td></tr>
<tr class="memdesc:ac065b68ee708d09c086662305da23b68 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to an earlier created widget.  <a href="#ac065b68ee708d09c086662305da23b68">More...</a><br /></td></tr>
<tr class="separator:ac065b68ee708d09c086662305da23b68 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02b900305e231f6ba0de127712fa3837 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#a02b900305e231f6ba0de127712fa3837">remove</a> (const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;widget)</td></tr>
<tr class="memdesc:a02b900305e231f6ba0de127712fa3837 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a single widget that was added to the container.  <a href="#a02b900305e231f6ba0de127712fa3837">More...</a><br /></td></tr>
<tr class="separator:a02b900305e231f6ba0de127712fa3837 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55996ecbc42fdb623df7dea8bc4030f2 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a55996ecbc42fdb623df7dea8bc4030f2"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#a55996ecbc42fdb623df7dea8bc4030f2">removeAllWidgets</a> ()</td></tr>
<tr class="memdesc:a55996ecbc42fdb623df7dea8bc4030f2 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes all widgets that were added to the container. <br /></td></tr>
<tr class="separator:a55996ecbc42fdb623df7dea8bc4030f2 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1df09925591bb67f1ce3a73ec1aa1285 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#a1df09925591bb67f1ce3a73ec1aa1285">setWidgetName</a> (const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;widget, const std::string &amp;name)</td></tr>
<tr class="memdesc:a1df09925591bb67f1ce3a73ec1aa1285 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the name of a widget.  <a href="#a1df09925591bb67f1ce3a73ec1aa1285">More...</a><br /></td></tr>
<tr class="separator:a1df09925591bb67f1ce3a73ec1aa1285 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad83def3b3643baddff898ad3d3e2a9d9 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#ad83def3b3643baddff898ad3d3e2a9d9">getWidgetName</a> (const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;widget) const </td></tr>
<tr class="memdesc:ad83def3b3643baddff898ad3d3e2a9d9 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the name of a widget.  <a href="#ad83def3b3643baddff898ad3d3e2a9d9">More...</a><br /></td></tr>
<tr class="separator:ad83def3b3643baddff898ad3d3e2a9d9 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b92ac3fe78aba31e9d542b14fdbc42e inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#a5b92ac3fe78aba31e9d542b14fdbc42e">focusWidget</a> (const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;widget)</td></tr>
<tr class="memdesc:a5b92ac3fe78aba31e9d542b14fdbc42e inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Focuses a widget.  <a href="#a5b92ac3fe78aba31e9d542b14fdbc42e">More...</a><br /></td></tr>
<tr class="separator:a5b92ac3fe78aba31e9d542b14fdbc42e inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade3a42a90ecb31e9bfefdfccde62b3f8 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#ade3a42a90ecb31e9bfefdfccde62b3f8">focusWidget</a> (<a class="el" href="classtgui_1_1Widget.html">Widget</a> *const widget)</td></tr>
<tr class="memdesc:ade3a42a90ecb31e9bfefdfccde62b3f8 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Focuses a widget.  <a href="#ade3a42a90ecb31e9bfefdfccde62b3f8">More...</a><br /></td></tr>
<tr class="separator:ade3a42a90ecb31e9bfefdfccde62b3f8 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8b87961c278278d5cc8f666d5c2d9a7 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#ae8b87961c278278d5cc8f666d5c2d9a7">focusNextWidget</a> ()</td></tr>
<tr class="memdesc:ae8b87961c278278d5cc8f666d5c2d9a7 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Focuses the next widget.  <a href="#ae8b87961c278278d5cc8f666d5c2d9a7">More...</a><br /></td></tr>
<tr class="separator:ae8b87961c278278d5cc8f666d5c2d9a7 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb16a0b6727c24df9b37a268ae42276d inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#afb16a0b6727c24df9b37a268ae42276d">focusPreviousWidget</a> ()</td></tr>
<tr class="memdesc:afb16a0b6727c24df9b37a268ae42276d inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Focuses the previous widget.  <a href="#afb16a0b6727c24df9b37a268ae42276d">More...</a><br /></td></tr>
<tr class="separator:afb16a0b6727c24df9b37a268ae42276d inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa00dad8482119ee2ffbaa8fad4ea6707 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa00dad8482119ee2ffbaa8fad4ea6707"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#aa00dad8482119ee2ffbaa8fad4ea6707">unfocusWidgets</a> ()</td></tr>
<tr class="memdesc:aa00dad8482119ee2ffbaa8fad4ea6707 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unfocus all the widgets. <br /></td></tr>
<tr class="separator:aa00dad8482119ee2ffbaa8fad4ea6707 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb1456b593beb954891a063567254295 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb1456b593beb954891a063567254295"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#adb1456b593beb954891a063567254295">uncheckRadioButtons</a> ()</td></tr>
<tr class="memdesc:adb1456b593beb954891a063567254295 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Uncheck all the radio buttons. <br /></td></tr>
<tr class="separator:adb1456b593beb954891a063567254295 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae02dfdaba09fa0bd39057ab8580188c inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#aae02dfdaba09fa0bd39057ab8580188c">setOpacity</a> (float opacity) override</td></tr>
<tr class="memdesc:aae02dfdaba09fa0bd39057ab8580188c inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the opacity of the container and all its child widgets.  <a href="#aae02dfdaba09fa0bd39057ab8580188c">More...</a><br /></td></tr>
<tr class="separator:aae02dfdaba09fa0bd39057ab8580188c inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b666b889d590e95bb276031fd530269 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#a7b666b889d590e95bb276031fd530269">getChildWidgetsOffset</a> () const </td></tr>
<tr class="memdesc:a7b666b889d590e95bb276031fd530269 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the distance between the position of the container and a widget that would be drawn inside this container on relative position (0,0).  <a href="#a7b666b889d590e95bb276031fd530269">More...</a><br /></td></tr>
<tr class="separator:a7b666b889d590e95bb276031fd530269 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae46b1ab5abe460b643e1246a82b7da2c inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#ae46b1ab5abe460b643e1246a82b7da2c">loadWidgetsFromFile</a> (const std::string &amp;filename)</td></tr>
<tr class="memdesc:ae46b1ab5abe460b643e1246a82b7da2c inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Load the child widgets from a text file.  <a href="#ae46b1ab5abe460b643e1246a82b7da2c">More...</a><br /></td></tr>
<tr class="separator:ae46b1ab5abe460b643e1246a82b7da2c inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa68d202f4623049081c82c4e4e4e7d58 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#aa68d202f4623049081c82c4e4e4e7d58">saveWidgetsToFile</a> (const std::string &amp;filename)</td></tr>
<tr class="memdesc:aa68d202f4623049081c82c4e4e4e7d58 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Save the child widgets to a text file.  <a href="#aa68d202f4623049081c82c4e4e4e7d58">More...</a><br /></td></tr>
<tr class="separator:aa68d202f4623049081c82c4e4e4e7d58 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0e956c7d0707a1fb012db1d5c0c7809 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#ad0e956c7d0707a1fb012db1d5c0c7809">loadWidgetsFromStream</a> (std::stringstream &amp;stream)</td></tr>
<tr class="memdesc:ad0e956c7d0707a1fb012db1d5c0c7809 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Load the child widgets from a string stream.  <a href="#ad0e956c7d0707a1fb012db1d5c0c7809">More...</a><br /></td></tr>
<tr class="separator:ad0e956c7d0707a1fb012db1d5c0c7809 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e92a3efca995ff34f897f0a1b3e6193 inherit pub_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#a6e92a3efca995ff34f897f0a1b3e6193">saveWidgetsToStream</a> (std::stringstream &amp;stream)</td></tr>
<tr class="memdesc:a6e92a3efca995ff34f897f0a1b3e6193 inherit pub_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Save the child widgets to a text file.  <a href="#a6e92a3efca995ff34f897f0a1b3e6193">More...</a><br /></td></tr>
<tr class="separator:a6e92a3efca995ff34f897f0a1b3e6193 inherit pub_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1Widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1Widget')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td></tr>
<tr class="memitem:a60c5722d15d0733f6743bf57c86d1c6a inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a60c5722d15d0733f6743bf57c86d1c6a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a60c5722d15d0733f6743bf57c86d1c6a">Widget</a> ()</td></tr>
<tr class="memdesc:a60c5722d15d0733f6743bf57c86d1c6a inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br /></td></tr>
<tr class="separator:a60c5722d15d0733f6743bf57c86d1c6a inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a662b5e56609f23b2bbff81cbaa5787e2 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a662b5e56609f23b2bbff81cbaa5787e2">Widget</a> (const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;copy)</td></tr>
<tr class="memdesc:a662b5e56609f23b2bbff81cbaa5787e2 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#a662b5e56609f23b2bbff81cbaa5787e2">More...</a><br /></td></tr>
<tr class="separator:a662b5e56609f23b2bbff81cbaa5787e2 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af34221ef4742371e8f7e2c40a8881404 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af34221ef4742371e8f7e2c40a8881404"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#af34221ef4742371e8f7e2c40a8881404">~Widget</a> ()</td></tr>
<tr class="memdesc:af34221ef4742371e8f7e2c40a8881404 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:af34221ef4742371e8f7e2c40a8881404 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97362423551dca5b90e86fc63ddc3eca inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a97362423551dca5b90e86fc63ddc3eca">operator=</a> (const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;right)</td></tr>
<tr class="memdesc:a97362423551dca5b90e86fc63ddc3eca inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overload of assignment operator.  <a href="#a97362423551dca5b90e86fc63ddc3eca">More...</a><br /></td></tr>
<tr class="separator:a97362423551dca5b90e86fc63ddc3eca inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d296b4082518366caeb0d3101d0320f inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1WidgetRenderer.html">WidgetRenderer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a6d296b4082518366caeb0d3101d0320f">getRenderer</a> () const </td></tr>
<tr class="memdesc:a6d296b4082518366caeb0d3101d0320f inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the renderer, which gives access to functions that determine how the widget is displayed.  <a href="#a6d296b4082518366caeb0d3101d0320f">More...</a><br /></td></tr>
<tr class="separator:a6d296b4082518366caeb0d3101d0320f inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a299706f20b12cbe65422c6e53493e12d inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a299706f20b12cbe65422c6e53493e12d">setPosition</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;position) override</td></tr>
<tr class="memdesc:a299706f20b12cbe65422c6e53493e12d inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">set the position of the widget  <a href="#a299706f20b12cbe65422c6e53493e12d">More...</a><br /></td></tr>
<tr class="separator:a299706f20b12cbe65422c6e53493e12d inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa780b3b9e657ea6b3acecd2045593cca inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aa780b3b9e657ea6b3acecd2045593cca">setSize</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;size) override</td></tr>
<tr class="memdesc:aa780b3b9e657ea6b3acecd2045593cca inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the widget.  <a href="#aa780b3b9e657ea6b3acecd2045593cca">More...</a><br /></td></tr>
<tr class="separator:aa780b3b9e657ea6b3acecd2045593cca inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59112dbb748fa92647ef86b823c227f1 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a59112dbb748fa92647ef86b823c227f1">getAbsolutePosition</a> () const </td></tr>
<tr class="memdesc:a59112dbb748fa92647ef86b823c227f1 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the absolute position of the widget instead of the relative position to its parent.  <a href="#a59112dbb748fa92647ef86b823c227f1">More...</a><br /></td></tr>
<tr class="separator:a59112dbb748fa92647ef86b823c227f1 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3881afdad82cf8c2bd12f36238c04fe inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ae3881afdad82cf8c2bd12f36238c04fe">show</a> ()</td></tr>
<tr class="memdesc:ae3881afdad82cf8c2bd12f36238c04fe inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows the widget.  <a href="#ae3881afdad82cf8c2bd12f36238c04fe">More...</a><br /></td></tr>
<tr class="separator:ae3881afdad82cf8c2bd12f36238c04fe inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71432e6c38c2110991cd3856cf74670b inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a71432e6c38c2110991cd3856cf74670b">showWithEffect</a> (<a class="el" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">ShowAnimationType</a> type, sf::Time duration)</td></tr>
<tr class="memdesc:a71432e6c38c2110991cd3856cf74670b inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows the widget by introducing it with an animation.  <a href="#a71432e6c38c2110991cd3856cf74670b">More...</a><br /></td></tr>
<tr class="separator:a71432e6c38c2110991cd3856cf74670b inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4234b30173259e7b5082a58a9f0e2ca6 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a4234b30173259e7b5082a58a9f0e2ca6">hide</a> ()</td></tr>
<tr class="memdesc:a4234b30173259e7b5082a58a9f0e2ca6 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hides the widget.  <a href="#a4234b30173259e7b5082a58a9f0e2ca6">More...</a><br /></td></tr>
<tr class="separator:a4234b30173259e7b5082a58a9f0e2ca6 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bcb2d85d7e449ef7305771256ec79bf inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a9bcb2d85d7e449ef7305771256ec79bf">hideWithEffect</a> (<a class="el" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">ShowAnimationType</a> type, sf::Time duration)</td></tr>
<tr class="memdesc:a9bcb2d85d7e449ef7305771256ec79bf inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hides the widget by making it leave with an animation.  <a href="#a9bcb2d85d7e449ef7305771256ec79bf">More...</a><br /></td></tr>
<tr class="separator:a9bcb2d85d7e449ef7305771256ec79bf inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac30d0e386c262c5e830fdcc994584993 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ac30d0e386c262c5e830fdcc994584993">isVisible</a> () const </td></tr>
<tr class="memdesc:ac30d0e386c262c5e830fdcc994584993 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true when the widget is visible.  <a href="#ac30d0e386c262c5e830fdcc994584993">More...</a><br /></td></tr>
<tr class="separator:ac30d0e386c262c5e830fdcc994584993 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f4ded5b008224a33623171ad2558168 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a8f4ded5b008224a33623171ad2558168">enable</a> ()</td></tr>
<tr class="memdesc:a8f4ded5b008224a33623171ad2558168 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables the widget.  <a href="#a8f4ded5b008224a33623171ad2558168">More...</a><br /></td></tr>
<tr class="separator:a8f4ded5b008224a33623171ad2558168 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41615622bd4eb42fee629dd408bce7d4 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a41615622bd4eb42fee629dd408bce7d4">disable</a> (bool blockMouseEvents=true)</td></tr>
<tr class="memdesc:a41615622bd4eb42fee629dd408bce7d4 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disables the widget.  <a href="#a41615622bd4eb42fee629dd408bce7d4">More...</a><br /></td></tr>
<tr class="separator:a41615622bd4eb42fee629dd408bce7d4 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6770fc71c644b645bf28f31c4efd2d1 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#af6770fc71c644b645bf28f31c4efd2d1">isEnabled</a> () const </td></tr>
<tr class="memdesc:af6770fc71c644b645bf28f31c4efd2d1 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true when the widget is enabled.  <a href="#af6770fc71c644b645bf28f31c4efd2d1">More...</a><br /></td></tr>
<tr class="separator:af6770fc71c644b645bf28f31c4efd2d1 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a826330401141b9946307a5f4e3d1e988 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a826330401141b9946307a5f4e3d1e988">focus</a> ()</td></tr>
<tr class="memdesc:a826330401141b9946307a5f4e3d1e988 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Focus the widget.  <a href="#a826330401141b9946307a5f4e3d1e988">More...</a><br /></td></tr>
<tr class="separator:a826330401141b9946307a5f4e3d1e988 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc53e1f70feeeb498c042d7d741528c9 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#afc53e1f70feeeb498c042d7d741528c9">unfocus</a> ()</td></tr>
<tr class="memdesc:afc53e1f70feeeb498c042d7d741528c9 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unfocus the widget.  <a href="#afc53e1f70feeeb498c042d7d741528c9">More...</a><br /></td></tr>
<tr class="separator:afc53e1f70feeeb498c042d7d741528c9 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9a2f1246195375dea450655b23cdf6d inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#af9a2f1246195375dea450655b23cdf6d">isFocused</a> () const </td></tr>
<tr class="memdesc:af9a2f1246195375dea450655b23cdf6d inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true when the widget is focused and false otherwise.  <a href="#af9a2f1246195375dea450655b23cdf6d">More...</a><br /></td></tr>
<tr class="separator:af9a2f1246195375dea450655b23cdf6d inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52f98861e54bde43ccab0abe5733bfff inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a52f98861e54bde43ccab0abe5733bfff">getWidgetType</a> () const </td></tr>
<tr class="memdesc:a52f98861e54bde43ccab0abe5733bfff inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the type of the widget.  <a href="#a52f98861e54bde43ccab0abe5733bfff">More...</a><br /></td></tr>
<tr class="separator:a52f98861e54bde43ccab0abe5733bfff inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cf4e57ff28230753afe8197e8945a3a inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Container.html">Container</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a0cf4e57ff28230753afe8197e8945a3a">getParent</a> () const </td></tr>
<tr class="memdesc:a0cf4e57ff28230753afe8197e8945a3a inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to the parent widget.  <a href="#a0cf4e57ff28230753afe8197e8945a3a">More...</a><br /></td></tr>
<tr class="separator:a0cf4e57ff28230753afe8197e8945a3a inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ab7b54eb87d1c7b28ad36fa5a8281ec inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a7ab7b54eb87d1c7b28ad36fa5a8281ec">getOpacity</a> () const </td></tr>
<tr class="memdesc:a7ab7b54eb87d1c7b28ad36fa5a8281ec inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the opacity of the widget.  <a href="#a7ab7b54eb87d1c7b28ad36fa5a8281ec">More...</a><br /></td></tr>
<tr class="separator:a7ab7b54eb87d1c7b28ad36fa5a8281ec inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98fd0f08b45e3e54b9054965060136dd inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98fd0f08b45e3e54b9054965060136dd"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a98fd0f08b45e3e54b9054965060136dd">moveToFront</a> ()</td></tr>
<tr class="memdesc:a98fd0f08b45e3e54b9054965060136dd inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Places the widget before all other widgets. <br /></td></tr>
<tr class="separator:a98fd0f08b45e3e54b9054965060136dd inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15e7d3570551c72d9a4d9534ac7a7f19 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15e7d3570551c72d9a4d9534ac7a7f19"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a15e7d3570551c72d9a4d9534ac7a7f19">moveToBack</a> ()</td></tr>
<tr class="memdesc:a15e7d3570551c72d9a4d9534ac7a7f19 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Places the widget behind all other widgets. <br /></td></tr>
<tr class="separator:a15e7d3570551c72d9a4d9534ac7a7f19 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f30ef364bf7594ec209688a9b43ec5 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ae4f30ef364bf7594ec209688a9b43ec5">setToolTip</a> (<a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> toolTip)</td></tr>
<tr class="memdesc:ae4f30ef364bf7594ec209688a9b43ec5 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the tool tip that should be displayed when hovering over the widget.  <a href="#ae4f30ef364bf7594ec209688a9b43ec5">More...</a><br /></td></tr>
<tr class="separator:ae4f30ef364bf7594ec209688a9b43ec5 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e6e54fbaba931d0bb8eb0404e2e1c22 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a0e6e54fbaba931d0bb8eb0404e2e1c22">getToolTip</a> ()</td></tr>
<tr class="memdesc:a0e6e54fbaba931d0bb8eb0404e2e1c22 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the tool tip that is displayed when hovering over the widget.  <a href="#a0e6e54fbaba931d0bb8eb0404e2e1c22">More...</a><br /></td></tr>
<tr class="separator:a0e6e54fbaba931d0bb8eb0404e2e1c22 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec2d0dec0156536b93216797de49b497 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; sf::Font &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aec2d0dec0156536b93216797de49b497">getFont</a> () const </td></tr>
<tr class="memdesc:aec2d0dec0156536b93216797de49b497 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the font associated with the widget (if any)  <a href="#aec2d0dec0156536b93216797de49b497">More...</a><br /></td></tr>
<tr class="separator:aec2d0dec0156536b93216797de49b497 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62bbecb4ba75342b22786502e5383ac5 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a62bbecb4ba75342b22786502e5383ac5">detachTheme</a> ()</td></tr>
<tr class="memdesc:a62bbecb4ba75342b22786502e5383ac5 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detach the theme from the widget.  <a href="#a62bbecb4ba75342b22786502e5383ac5">More...</a><br /></td></tr>
<tr class="separator:a62bbecb4ba75342b22786502e5383ac5 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5bb8483e23d877c386d632ca7ca2879 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1BaseTheme.html">BaseTheme</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ab5bb8483e23d877c386d632ca7ca2879">getTheme</a> () const </td></tr>
<tr class="memdesc:ab5bb8483e23d877c386d632ca7ca2879 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the theme to which the widget is currently connected.  <a href="#ab5bb8483e23d877c386d632ca7ca2879">More...</a><br /></td></tr>
<tr class="separator:ab5bb8483e23d877c386d632ca7ca2879 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa32ce148343fd2a0f59d6dbcc3028883 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aa32ce148343fd2a0f59d6dbcc3028883">getPrimaryLoadingParameter</a> () const </td></tr>
<tr class="memdesc:aa32ce148343fd2a0f59d6dbcc3028883 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the primary parameter that was passed to the loader to load this widget.  <a href="#aa32ce148343fd2a0f59d6dbcc3028883">More...</a><br /></td></tr>
<tr class="separator:aa32ce148343fd2a0f59d6dbcc3028883 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97e7325f223c7c49105b3b859542b652 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a97e7325f223c7c49105b3b859542b652">getSecondaryLoadingParameter</a> () const </td></tr>
<tr class="memdesc:a97e7325f223c7c49105b3b859542b652 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the secondary parameter that was passed to the loader to load this widget.  <a href="#a97e7325f223c7c49105b3b859542b652">More...</a><br /></td></tr>
<tr class="separator:a97e7325f223c7c49105b3b859542b652 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a569db174bec35957e0150f14b25a6423 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a569db174bec35957e0150f14b25a6423">getWidgetOffset</a> () const </td></tr>
<tr class="memdesc:a569db174bec35957e0150f14b25a6423 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the distance between the position where the widget is drawn and where the widget is placed.  <a href="#a569db174bec35957e0150f14b25a6423">More...</a><br /></td></tr>
<tr class="separator:a569db174bec35957e0150f14b25a6423 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1Transformable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1Transformable')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td></tr>
<tr class="memitem:a98900d9b8ec4166e5127532bfbd5cc59 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98900d9b8ec4166e5127532bfbd5cc59"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a98900d9b8ec4166e5127532bfbd5cc59">~Transformable</a> ()</td></tr>
<tr class="memdesc:a98900d9b8ec4166e5127532bfbd5cc59 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:a98900d9b8ec4166e5127532bfbd5cc59 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e34aa4c19ae95ed71052c6409d8fbcc inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a9e34aa4c19ae95ed71052c6409d8fbcc">setPosition</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a9e34aa4c19ae95ed71052c6409d8fbcc inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">set the position of the widget  <a href="#a9e34aa4c19ae95ed71052c6409d8fbcc">More...</a><br /></td></tr>
<tr class="separator:a9e34aa4c19ae95ed71052c6409d8fbcc inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2429a2ff2f3f83b702f20b4a8a0257dc inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a2429a2ff2f3f83b702f20b4a8a0257dc">getPosition</a> () const </td></tr>
<tr class="memdesc:a2429a2ff2f3f83b702f20b4a8a0257dc inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the position of the widget  <a href="#a2429a2ff2f3f83b702f20b4a8a0257dc">More...</a><br /></td></tr>
<tr class="separator:a2429a2ff2f3f83b702f20b4a8a0257dc inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff5580e6c49ade969ba71ea1c1330d2b inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#aff5580e6c49ade969ba71ea1c1330d2b">move</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;offset)</td></tr>
<tr class="memdesc:aff5580e6c49ade969ba71ea1c1330d2b inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Move the widget by a given offset.  <a href="#aff5580e6c49ade969ba71ea1c1330d2b">More...</a><br /></td></tr>
<tr class="separator:aff5580e6c49ade969ba71ea1c1330d2b inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a792b77e86e9550b0b2c5912d4d7cebe5 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a792b77e86e9550b0b2c5912d4d7cebe5">move</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a792b77e86e9550b0b2c5912d4d7cebe5 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Move the widget by a given offset.  <a href="#a792b77e86e9550b0b2c5912d4d7cebe5">More...</a><br /></td></tr>
<tr class="separator:a792b77e86e9550b0b2c5912d4d7cebe5 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bae3322ba22993ca9eacad060e3215c inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a3bae3322ba22993ca9eacad060e3215c">setSize</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;width, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;height)</td></tr>
<tr class="memdesc:a3bae3322ba22993ca9eacad060e3215c inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the widget.  <a href="#a3bae3322ba22993ca9eacad060e3215c">More...</a><br /></td></tr>
<tr class="separator:a3bae3322ba22993ca9eacad060e3215c inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac57d81556fbdbcf0d206b60ec835f3f4 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#ac57d81556fbdbcf0d206b60ec835f3f4">getSize</a> () const </td></tr>
<tr class="memdesc:ac57d81556fbdbcf0d206b60ec835f3f4 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the widget.  <a href="#ac57d81556fbdbcf0d206b60ec835f3f4">More...</a><br /></td></tr>
<tr class="separator:ac57d81556fbdbcf0d206b60ec835f3f4 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f11a7e9d86943a5cc8114b2431c1570 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a4f11a7e9d86943a5cc8114b2431c1570">getFullSize</a> () const </td></tr>
<tr class="memdesc:a4f11a7e9d86943a5cc8114b2431c1570 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the entire size that the widget is using.  <a href="#a4f11a7e9d86943a5cc8114b2431c1570">More...</a><br /></td></tr>
<tr class="separator:a4f11a7e9d86943a5cc8114b2431c1570 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15575698ad5b40c34bc8c945244ec4d8 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a15575698ad5b40c34bc8c945244ec4d8">scale</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;factors)</td></tr>
<tr class="memdesc:a15575698ad5b40c34bc8c945244ec4d8 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scale the widget.  <a href="#a15575698ad5b40c34bc8c945244ec4d8">More...</a><br /></td></tr>
<tr class="separator:a15575698ad5b40c34bc8c945244ec4d8 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a074f2ed8b35ede928678339b8f708b1c inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a074f2ed8b35ede928678339b8f708b1c">scale</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a074f2ed8b35ede928678339b8f708b1c inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scale the widget.  <a href="#a074f2ed8b35ede928678339b8f708b1c">More...</a><br /></td></tr>
<tr class="separator:a074f2ed8b35ede928678339b8f708b1c inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1SignalWidgetBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1SignalWidgetBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td></tr>
<tr class="memitem:ac37f925b9c8d2912db40050e59cb1bc8 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac37f925b9c8d2912db40050e59cb1bc8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#ac37f925b9c8d2912db40050e59cb1bc8">SignalWidgetBase</a> ()=default</td></tr>
<tr class="memdesc:ac37f925b9c8d2912db40050e59cb1bc8 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br /></td></tr>
<tr class="separator:ac37f925b9c8d2912db40050e59cb1bc8 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57a9f27b40ff6f51583a64333c83405d inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a57a9f27b40ff6f51583a64333c83405d">SignalWidgetBase</a> (const <a class="el" href="classtgui_1_1SignalWidgetBase.html">SignalWidgetBase</a> &amp;copy)</td></tr>
<tr class="memdesc:a57a9f27b40ff6f51583a64333c83405d inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#a57a9f27b40ff6f51583a64333c83405d">More...</a><br /></td></tr>
<tr class="separator:a57a9f27b40ff6f51583a64333c83405d inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a657777a2240d69c4be0cf52c977bea0f inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1SignalWidgetBase.html">SignalWidgetBase</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a657777a2240d69c4be0cf52c977bea0f">operator=</a> (const <a class="el" href="classtgui_1_1SignalWidgetBase.html">SignalWidgetBase</a> &amp;right)</td></tr>
<tr class="memdesc:a657777a2240d69c4be0cf52c977bea0f inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overload of assignment operator.  <a href="#a657777a2240d69c4be0cf52c977bea0f">More...</a><br /></td></tr>
<tr class="separator:a657777a2240d69c4be0cf52c977bea0f inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplParams" colspan="2">template&lt;typename Func , typename... Args&gt; </td></tr>
<tr class="memitem:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a3a310a997fdfb38e38688a6086832a95">connect</a> (const std::string &amp;signalNames, Func func, Args...args)</td></tr>
<tr class="memdesc:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Connects a signal handler function to one or more signals.  <a href="#a3a310a997fdfb38e38688a6086832a95">More...</a><br /></td></tr>
<tr class="separator:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplParams" colspan="2">template&lt;typename Func , typename... Args&gt; </td></tr>
<tr class="memitem:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a9b0187cd74457415140526ba788504d1">connectEx</a> (const std::string &amp;signalName, Func func, Args...args)</td></tr>
<tr class="memdesc:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Connects a signal handler function to one or more signals.  <a href="#a9b0187cd74457415140526ba788504d1">More...</a><br /></td></tr>
<tr class="separator:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e13634d49560b2941ebdd2a934b6a16 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a9e13634d49560b2941ebdd2a934b6a16">disconnect</a> (unsigned int id)</td></tr>
<tr class="memdesc:a9e13634d49560b2941ebdd2a934b6a16 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disconnects a connection.  <a href="#a9e13634d49560b2941ebdd2a934b6a16">More...</a><br /></td></tr>
<tr class="separator:a9e13634d49560b2941ebdd2a934b6a16 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a262641681a20ba2c42b9879faf60f857 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a262641681a20ba2c42b9879faf60f857">disconnectAll</a> (const std::string &amp;signalName)</td></tr>
<tr class="memdesc:a262641681a20ba2c42b9879faf60f857 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disconnect all connections from a certain signal.  <a href="#a262641681a20ba2c42b9879faf60f857">More...</a><br /></td></tr>
<tr class="separator:a262641681a20ba2c42b9879faf60f857 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee50efdbdbbc1be9418dfbc1549ee4f2 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee50efdbdbbc1be9418dfbc1549ee4f2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#aee50efdbdbbc1be9418dfbc1549ee4f2">disconnectAll</a> ()</td></tr>
<tr class="memdesc:aee50efdbdbbc1be9418dfbc1549ee4f2 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disconnect all connections from a all signals. <br /></td></tr>
<tr class="separator:aee50efdbdbbc1be9418dfbc1549ee4f2 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a558c24bd5ff5ee70d93928bf0f3c6d8b"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classtgui_1_1Panel.html#a34b136a7d90420e28a8f4aa66a58f9d0">Panel::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Panel.html#a558c24bd5ff5ee70d93928bf0f3c6d8b">create</a> (<a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> size={100, 100})</td></tr>
<tr class="memdesc:a558c24bd5ff5ee70d93928bf0f3c6d8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new panel widget.  <a href="#a558c24bd5ff5ee70d93928bf0f3c6d8b">More...</a><br /></td></tr>
<tr class="separator:a558c24bd5ff5ee70d93928bf0f3c6d8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f9efe024cb464e99b7d79307f4b2b99"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classtgui_1_1Panel.html#a34b136a7d90420e28a8f4aa66a58f9d0">Panel::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Panel.html#a1f9efe024cb464e99b7d79307f4b2b99">copy</a> (<a class="el" href="classtgui_1_1Panel.html#aef7fc1702180fe4dde12459be15c064d">Panel::ConstPtr</a> panel)</td></tr>
<tr class="memdesc:a1f9efe024cb464e99b7d79307f4b2b99"><td class="mdescLeft">&#160;</td><td class="mdescRight">Makes a copy of another panel.  <a href="#a1f9efe024cb464e99b7d79307f4b2b99">More...</a><br /></td></tr>
<tr class="separator:a1f9efe024cb464e99b7d79307f4b2b99"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:aeacd47459e17cc24db90c22cfe15fb97"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Panel.html#aeacd47459e17cc24db90c22cfe15fb97">clone</a> () const  override</td></tr>
<tr class="memdesc:aeacd47459e17cc24db90c22cfe15fb97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Makes a copy of the widget if you don't know its exact type.  <a href="#aeacd47459e17cc24db90c22cfe15fb97">More...</a><br /></td></tr>
<tr class="separator:aeacd47459e17cc24db90c22cfe15fb97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classtgui_1_1Container"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classtgui_1_1Container')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td></tr>
<tr class="memitem:acd585a0721d07345fac4b24502ee0b36 inherit pro_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#acd585a0721d07345fac4b24502ee0b36">moveWidgetToFront</a> (<a class="el" href="classtgui_1_1Widget.html">Widget</a> *const widget)</td></tr>
<tr class="memdesc:acd585a0721d07345fac4b24502ee0b36 inherit pro_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Places a widget before all other widgets.  <a href="#acd585a0721d07345fac4b24502ee0b36">More...</a><br /></td></tr>
<tr class="separator:acd585a0721d07345fac4b24502ee0b36 inherit pro_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a275dd4213be8056d327d67b5d8c55a inherit pro_methods_classtgui_1_1Container"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Container.html#a6a275dd4213be8056d327d67b5d8c55a">moveWidgetToBack</a> (<a class="el" href="classtgui_1_1Widget.html">Widget</a> *const widget)</td></tr>
<tr class="memdesc:a6a275dd4213be8056d327d67b5d8c55a inherit pro_methods_classtgui_1_1Container"><td class="mdescLeft">&#160;</td><td class="mdescRight">Places a widget behind all other widgets.  <a href="#a6a275dd4213be8056d327d67b5d8c55a">More...</a><br /></td></tr>
<tr class="separator:a6a275dd4213be8056d327d67b5d8c55a inherit pro_methods_classtgui_1_1Container"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classtgui_1_1Widget"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classtgui_1_1Widget')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td></tr>
<tr class="memitem:a05545f21decd950ac0bfee2d9b26e9e2 inherit pro_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a05545f21decd950ac0bfee2d9b26e9e2">attachTheme</a> (std::shared_ptr&lt; <a class="el" href="classtgui_1_1BaseTheme.html">BaseTheme</a> &gt; theme)</td></tr>
<tr class="memdesc:a05545f21decd950ac0bfee2d9b26e9e2 inherit pro_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Attach a theme to the widget.  <a href="#a05545f21decd950ac0bfee2d9b26e9e2">More...</a><br /></td></tr>
<tr class="separator:a05545f21decd950ac0bfee2d9b26e9e2 inherit pro_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60f67dd2a04f761a47207e42a8f7910b inherit pro_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a60f67dd2a04f761a47207e42a8f7910b">reload</a> (const std::string &amp;primary=&quot;&quot;, const std::string &amp;secondary=&quot;&quot;, bool force=false)</td></tr>
<tr class="memdesc:a60f67dd2a04f761a47207e42a8f7910b inherit pro_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reload the widget.  <a href="#a60f67dd2a04f761a47207e42a8f7910b">More...</a><br /></td></tr>
<tr class="separator:a60f67dd2a04f761a47207e42a8f7910b inherit pro_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classtgui_1_1Panel.html" title="Panel widget. ">Panel</a> widget. </p>
<p>The panel is a static container of widgets. The background color can be solid or transparent. It can be used for having radio button groups or any other reason to group certain widgets.</p>
<p>Signals:</p><ul>
<li>MousePressed (the left mouse button was pressed on top of the panel)<ul>
<li>Optional parameter sf::Vector2f: Mouse position relative to the panel position</li>
<li>Uses <a class="el" href="structtgui_1_1Callback.html">Callback</a> member 'mouse'</li>
</ul>
</li>
<li>MouseReleased (the left mouse button was released on top of the panel)<ul>
<li>Optional parameter sf::Vector2f: Mouse position relative to the panel position</li>
<li>Uses <a class="el" href="structtgui_1_1Callback.html">Callback</a> member 'mouse'</li>
</ul>
</li>
<li>Clicked (you left clicked the panel)<ul>
<li>Optional parameter sf::Vector2f: Mouse position relative to the panel position</li>
<li>Uses <a class="el" href="structtgui_1_1Callback.html">Callback</a> member 'mouse'</li>
</ul>
</li>
<li>Inherited signals from <a class="el" href="classtgui_1_1Container.html" title="Container widget. ">Container</a> </li>
</ul>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa3b8827d4440f2d79207de7baa221b9d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Panel::Panel </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;&#160;</td>
          <td class="paramname"><em>size</em> = <code>{100,&#160;100}</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>Size of the panel </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1a7fdea24933019fe0fa806fa3984fcb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Panel::Panel </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">width</td><td>Width of the widget </td></tr>
    <tr><td class="paramname">height</td><td>Height of the widget </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aeacd47459e17cc24db90c22cfe15fb97"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> tgui::Panel::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Makes a copy of the widget if you don't know its exact type. </p>
<p>This function should only be used when you don't know the type of the widget. If you know what kind of widget you are copying, you should use the copy function.</p>
<dl class="section return"><dt>Returns</dt><dd>Copy of the widget </dd></dl>

<p>Implements <a class="el" href="classtgui_1_1Widget.html#aef5818b60938207990d1c57626b11f9d">tgui::Widget</a>.</p>

<p>Reimplemented in <a class="el" href="classtgui_1_1HorizontalLayout.html#a2f6442a76a90a57d9a0df606a7086e6e">tgui::HorizontalLayout</a>, and <a class="el" href="classtgui_1_1VerticalLayout.html#a59a6467c4cb0e3a85d22a75d68e754c8">tgui::VerticalLayout</a>.</p>

</div>
</div>
<a class="anchor" id="a1f9efe024cb464e99b7d79307f4b2b99"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classtgui_1_1Panel.html#a34b136a7d90420e28a8f4aa66a58f9d0">Panel::Ptr</a> tgui::Panel::copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1Panel.html#aef7fc1702180fe4dde12459be15c064d">Panel::ConstPtr</a>&#160;</td>
          <td class="paramname"><em>panel</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Makes a copy of another panel. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">panel</td><td>The other panel</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The new panel </dd></dl>

</div>
</div>
<a class="anchor" id="a558c24bd5ff5ee70d93928bf0f3c6d8b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classtgui_1_1Panel.html#a34b136a7d90420e28a8f4aa66a58f9d0">Panel::Ptr</a> tgui::Panel::create </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a>&#160;</td>
          <td class="paramname"><em>size</em> = <code>{100,&#160;100}</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a new panel widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>Size of the panel</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The new panel </dd></dl>

</div>
</div>
<a class="anchor" id="a30244052ab9219369e3e4ba493f8cc8a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const sf::Color&amp; tgui::Panel::getBackgroundColor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the background color of the panel. </p>
<dl class="section return"><dt>Returns</dt><dd>The current background color </dd></dl>

</div>
</div>
<a class="anchor" id="ac86630f3ec806dc16c4cd4a3220c770e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classtgui_1_1PanelRenderer.html">PanelRenderer</a>&gt; tgui::Panel::getRenderer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the renderer, which gives access to functions that determine how the widget is displayed. </p>
<dl class="section return"><dt>Returns</dt><dd>Reference to the renderer </dd></dl>

</div>
</div>
<a class="anchor" id="afe2a23ae392add7adbbd064ec3d8998a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Panel::setBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>backgroundColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the background color of the panel. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">backgroundColor</td><td>New background color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="Panel_8hpp_source.html">Panel.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:44 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
